opal-rails 1.0.0 → 1.0.1

Sign up to get free protection for your applications and to get access to all the features.
checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  ---
2
2
  SHA256:
3
- metadata.gz: 9327fdd3f720f1807ebcde09f2901c1e017615c9fa8f4f910ec6483ade3216c6
4
- data.tar.gz: 0c014f66ab2633363b0ab40afa1b72b4e2c0f09d2e524a202ace14b61d979080
3
+ metadata.gz: 1667d89f71ac1e122af6ac49faa4de25629c6d05c6c8fa3efa3dac2dcac905e7
4
+ data.tar.gz: 875c55723b127a58a9419d2ee1c5c7bf563504d38b271c0377b9f745499c96ad
5
5
  SHA512:
6
- metadata.gz: 7e667155ae6975139b8f1e1359733a61cf9b511e591a1663a7ed8a2b2068e9ae7be506798842f48091fd311394c7fcbed6d222c2f1f44f995d06957007adc7e9
7
- data.tar.gz: 190642ae14e588b7875d9698f19f1c7b532858cf217d184df759b64d67bfb694d4865cd1d6c1f94915bd7ba1347d6644e081cabd43b7769af4dd4d821647bb50
6
+ metadata.gz: c46c91b5f4b67cd7c085ffcf66a40c094cbbb1fe33cc3fd6adf7e5b7a168d6fac2085dbd0242e8e0cf7fbeeee75aff578d8fa189ad34d83b1c00d5827818c7f4
7
+ data.tar.gz: ede7e20e01eacc30da85dcda3409b7cabdd83c64c3f29f13c455a83c7dd6063f1e19ed6db389e8d8a792b870ccc8974066f1ec59bd687bcfb8f12cc3be494511
@@ -0,0 +1,31 @@
1
+ name: CI
2
+ on: [push]
3
+
4
+ jobs:
5
+ build:
6
+ strategy:
7
+ matrix:
8
+ ruby: ['2.5.x', '2.6.x']
9
+ rails: ['rails_5_1', 'rails_5_2', 'rails_6_0']
10
+ opal: ['opal_1_0', 'opal_master']
11
+ runs-on: ubuntu-latest
12
+
13
+ steps:
14
+ - name: Install libraries
15
+ run: |
16
+ sudo apt-get update
17
+ sudo apt-get install -y sqlite3 libsqlite3-dev
18
+ - uses: actions/checkout@v1
19
+ - name: Set up Ruby
20
+ uses: actions/setup-ruby@v1
21
+ with:
22
+ ruby-version: ${{ matrix.ruby }}
23
+ - name: Install Dependencies
24
+ run: |
25
+ export BUNDLE_GEMFILE="gemfiles/${{ matrix.rails }}_${{ matrix.opal }}.gemfile"
26
+ gem install bundler
27
+ bundle install --jobs 4 --retry 3
28
+ - name: Test with Rake
29
+ run: |
30
+ export BUNDLE_GEMFILE="gemfiles/${{ matrix.rails }}_${{ matrix.opal }}.gemfile"
31
+ bundle exec rake
data/Appraisals CHANGED
@@ -1,6 +1,6 @@
1
1
  current_ruby = Gem::Version.new(RUBY_VERSION)
2
- ruby_2_2_2 = Gem::Version.new('2.2.2')
3
2
  ruby_2_4_0 = Gem::Version.new('2.4.0')
3
+ ruby_2_5_0 = Gem::Version.new('2.5.0')
4
4
 
5
5
  ENV['OPAL_VERSION'] = nil # ensure the env is clean
6
6
 
@@ -25,10 +25,15 @@ github = -> repo_name { "https://github.com/#{repo_name}.git" }
25
25
  appraise "rails_5_1_#{opal_version}" do
26
26
  gem "rails", "~> 5.1.0"
27
27
  gem_opal[self]
28
- end if current_ruby >= ruby_2_2_2
28
+ end if current_ruby >= ruby_2_4_0
29
29
 
30
30
  appraise "rails_5_2_#{opal_version}" do
31
31
  gem "rails", "~> 5.2.0"
32
32
  gem_opal[self]
33
- end if current_ruby >= ruby_2_2_2
33
+ end if current_ruby >= ruby_2_4_0
34
+
35
+ appraise "rails_6_0_#{opal_version}" do
36
+ gem "rails", "~> 6.0.0"
37
+ gem_opal[self]
38
+ end if current_ruby >= ruby_2_5_0
34
39
  end
@@ -21,6 +21,16 @@ Whitespace conventions:
21
21
 
22
22
 
23
23
 
24
+ ## [1.0.1](https://github.com/opal/opal-rails/compare/v1.0.0...v1.0.1) - 2019-09-07
25
+
26
+
27
+ ### Added
28
+
29
+ - Added support for Rails v6.0 (Sprockets)
30
+
31
+
32
+
33
+
24
34
  ## [1.0.0](https://github.com/opal/opal-rails/compare/v0.9.5...v1.0.0) - 2019-07-31
25
35
 
26
36
 
@@ -43,6 +53,7 @@ Whitespace conventions:
43
53
 
44
54
 
45
55
 
56
+
46
57
  ## [0.9.5](https://github.com/opal/opal-rails/compare/v0.9.4...v0.9.5) - 2018-09-07
47
58
 
48
59
 
data/README.md CHANGED
@@ -1,14 +1,18 @@
1
1
  # Opal Rails
2
2
 
3
- [![Build Status](https://secure.travis-ci.org/opal/opal-rails.svg)](http://travis-ci.org/opal/opal-rails)
3
+ [![Build Status](https://github.com/opal/opal-rails/workflows/CI/badge.svg)](https://github.com/opal/opal-rails/actions)
4
4
  [![Code Climate](https://img.shields.io/codeclimate/github/opal/opal-rails.svg)](https://codeclimate.com/github/opal/opal-rails)
5
5
  [![Gem Version](https://badge.fury.io/rb/opal-rails.svg)](http://badge.fury.io/rb/opal-rails)
6
6
  ![fun guaranteed](https://img.shields.io/badge/fun-guaranteed-brightgreen.svg)
7
7
  ![web scale](http://img.shields.io/badge/webscale-over%209000-green.svg)
8
8
 
9
- _Rails bindings for [Opal Ruby](http://opalrb.com) engine. ([Changelog](https://github.com/opal/opal-rails/blob/master/CHANGELOG.md))_
9
+ _Rails bindings for [Opal](http://opalrb.com). ([Changelog](https://github.com/opal/opal-rails/blob/master/CHANGELOG.md))_
10
10
 
11
+ ### Looking Webpack support? 👀
11
12
 
13
+ If you want to integrate Opal via Webpack please refer to [opal-webpack-loader](https://github.com/isomorfeus/opal-webpack-loader#installation) installation instructions.
14
+
15
+ ℹ️ Webpack and ES6 modules are not yet officially supported, but we're working on it thanks to the awesome work done in _opal-webpack-loader_.
12
16
 
13
17
  ## Installation
14
18
 
@@ -247,7 +251,7 @@ Opal.use_gem 'cannonbol'
247
251
 
248
252
  ## License
249
253
 
250
- © 2012-2016 Elia Schito
254
+ © 2012-2019 Elia Schito
251
255
 
252
256
  Permission is hereby granted, free of charge, to any person obtaining a copy
253
257
  of this software and associated documentation files (the "Software"), to deal
@@ -0,0 +1,12 @@
1
+ # This file was generated by Appraisal
2
+
3
+ source "https://rubygems.org"
4
+
5
+ gem "c_lexer"
6
+ gem "rails", "~> 6.0.0"
7
+ gem "opal", "~> 1.0.0"
8
+ gem "opal-rspec", git: "https://github.com/opal/opal-rspec.git", branch: :master
9
+ gem "opal-jquery", git: "https://github.com/opal/opal-jquery.git", branch: :master
10
+ gem "opal-sprockets"
11
+
12
+ gemspec path: "../"
@@ -0,0 +1,11 @@
1
+ # This file was generated by Appraisal
2
+
3
+ source "https://rubygems.org"
4
+
5
+ gem "c_lexer"
6
+ gem "rails", "~> 6.0.0"
7
+ gem "opal", git: "https://github.com/opal/opal.git", branch: :master
8
+ gem "opal-rspec", git: "https://github.com/opal/opal-rspec.git", branch: :master
9
+ gem "opal-sprockets", git: "https://github.com/opal/opal-sprockets.git", branch: :master
10
+
11
+ gemspec path: "../"
@@ -1,5 +1,5 @@
1
1
  module Opal
2
2
  module Rails
3
- VERSION = '1.0.0'
3
+ VERSION = '1.0.1'
4
4
  end
5
5
  end
@@ -21,7 +21,7 @@ Gem::Specification.new do |s|
21
21
 
22
22
  required_ruby_version = '>= 2.3'
23
23
 
24
- s.add_dependency 'rails', '>= 5.1', '< 6.0'
24
+ s.add_dependency 'rails', '>= 5.1', '< 6.1'
25
25
  s.add_dependency 'sprockets-rails', '>= 2.3.3', '< 4.0'
26
26
  s.add_dependency 'jquery-rails'
27
27
 
@@ -8,6 +8,8 @@ Capybara.register_server :puma do |app, port, host|
8
8
  Rack::Handler::Puma.run(app, Host: host, Port: port, Threads: "0:4", Silent: true)
9
9
  end
10
10
 
11
+ Capybara.default_max_wait_time = 5
12
+
11
13
  module OpalHelper
12
14
  def compile_opal(code)
13
15
  Opal.compile(code, requireable: false)
@@ -1,6 +1,6 @@
1
1
  # FROM: http://www.rubytutorial.io/how-to-test-your-gem-against-multiple-rails/
2
2
 
3
- # test/apps/rails4.rb
3
+ # test/apps/rails5.rb
4
4
  require 'rails'
5
5
  require 'rails/all'
6
6
  require 'action_view/testing/resolvers'
@@ -12,8 +12,8 @@ module RailsApp
12
12
  config.root = __dir__
13
13
  config.cache_classes = true
14
14
  config.eager_load = false
15
- config.serve_static_files = true
16
- config.static_cache_control = 'public, max-age=3600'
15
+ config.public_file_server.enabled = true
16
+ config.public_file_server.headers = { 'Cache-Control' => 'public, max-age=3600' }
17
17
  config.consider_all_requests_local = true
18
18
  config.action_controller.perform_caching = false
19
19
  config.action_dispatch.show_exceptions = false
@@ -21,9 +21,12 @@ module RailsApp
21
21
  config.active_support.deprecation = :stderr
22
22
  config.secret_key_base = '49837489qkuweoiuoqwe'
23
23
 
24
- config.middleware.delete 'Rack::Lock'
25
- config.middleware.delete 'ActionDispatch::Flash'
26
- config.middleware.delete 'ActionDispatch::BestStandardsSupport'
24
+ if config.active_record.sqlite3
25
+ config.active_record.sqlite3.represent_boolean_as_integer = true
26
+ end
27
+
28
+ config.middleware.delete Rack::Lock
29
+ config.middleware.delete ActionDispatch::Flash
27
30
 
28
31
  routes.append do
29
32
  get '/' => 'application#index'
metadata CHANGED
@@ -1,14 +1,14 @@
1
1
  --- !ruby/object:Gem::Specification
2
2
  name: opal-rails
3
3
  version: !ruby/object:Gem::Version
4
- version: 1.0.0
4
+ version: 1.0.1
5
5
  platform: ruby
6
6
  authors:
7
7
  - Elia Schito
8
8
  autorequire:
9
9
  bindir: bin
10
10
  cert_chain: []
11
- date: 2019-07-30 00:00:00.000000000 Z
11
+ date: 2019-09-07 00:00:00.000000000 Z
12
12
  dependencies:
13
13
  - !ruby/object:Gem::Dependency
14
14
  name: rails
@@ -19,7 +19,7 @@ dependencies:
19
19
  version: '5.1'
20
20
  - - "<"
21
21
  - !ruby/object:Gem::Version
22
- version: '6.0'
22
+ version: '6.1'
23
23
  type: :runtime
24
24
  prerelease: false
25
25
  version_requirements: !ruby/object:Gem::Requirement
@@ -29,7 +29,7 @@ dependencies:
29
29
  version: '5.1'
30
30
  - - "<"
31
31
  - !ruby/object:Gem::Version
32
- version: '6.0'
32
+ version: '6.1'
33
33
  - !ruby/object:Gem::Dependency
34
34
  name: sprockets-rails
35
35
  requirement: !ruby/object:Gem::Requirement
@@ -239,10 +239,10 @@ executables: []
239
239
  extensions: []
240
240
  extra_rdoc_files: []
241
241
  files:
242
+ - ".github/workflows/main.yml"
242
243
  - ".gitignore"
243
244
  - ".powder"
244
245
  - ".rspec"
245
- - ".travis.yml"
246
246
  - Appraisals
247
247
  - CHANGELOG.md
248
248
  - Gemfile
@@ -254,6 +254,8 @@ files:
254
254
  - gemfiles/rails_5_1_opal_master.gemfile
255
255
  - gemfiles/rails_5_2_opal_1_0.gemfile
256
256
  - gemfiles/rails_5_2_opal_master.gemfile
257
+ - gemfiles/rails_6_0_opal_1_0.gemfile
258
+ - gemfiles/rails_6_0_opal_master.gemfile
257
259
  - lib/assets/javascripts/opal_ujs.js.rb
258
260
  - lib/opal-rails.rb
259
261
  - lib/opal/rails.rb
@@ -281,8 +283,8 @@ files:
281
283
  - test_apps/assets/javascripts/foo.js.rb
282
284
  - test_apps/assets/javascripts/source_map_example.js.rb
283
285
  - test_apps/assets/javascripts/with_assignments.js.rb
284
- - test_apps/rails4.rb
285
286
  - test_apps/rails5.rb
287
+ - test_apps/rails6.rb
286
288
  homepage: https://github.com/opal/opal-rails#readme
287
289
  licenses:
288
290
  - MIT-LICENSE
@@ -1,42 +0,0 @@
1
- language: ruby
2
-
3
- sudo: required
4
- addons:
5
- chrome: stable
6
-
7
- before_install:
8
- - google-chrome-stable --headless --disable-gpu --remote-debugging-port=9222 about:blank &
9
-
10
- cache:
11
- bundler: true
12
-
13
- matrix:
14
- fast_finish: true
15
-
16
- include:
17
- - gemfile: gemfiles/rails_5_1_opal_master.gemfile
18
- rvm: 2.5.5
19
- - gemfile: gemfiles/rails_5_2_opal_master.gemfile
20
- rvm: 2.6.3
21
-
22
- - gemfile: gemfiles/rails_5_1_opal_1_0.gemfile
23
- rvm: 2.5.5
24
- - gemfile: gemfiles/rails_5_2_opal_1_0.gemfile
25
- rvm: 2.6.3
26
-
27
- allow_failures:
28
- - gemfile: gemfiles/rails_5_1_opal_master.gemfile
29
- rvm: 2.5.5
30
- - gemfile: gemfiles/rails_5_2_opal_master.gemfile
31
- rvm: 2.6.3
32
-
33
- before_script: bundle install
34
- script: "bundle exec rake"
35
-
36
- addons:
37
- apt:
38
- sources:
39
- - google-chrome
40
- packages:
41
- - google-chrome-stable
42
-